<template>
    <div class="serverbutton" :class="{
        'serverbutton-isHome': isHome
    }">

        <span class="mentions" v-if="mentions">{{ mentions }}</span>

        <img src="../../assets/discord.svg">

    </div>
</template>
  
<script>
export default {
    props: {
        selected: Boolean,
        isHome: Boolean,
        mentions: Number
    }
};
</script>
  
<style scoped lang="scss">
.serverbutton {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: var(--primary);
    position: relative;
    margin-bottom: 8px;
    cursor: pointer;
    flex-shrink: 0;

    img {
        width: 30px;
        height: 30px;
        color: #fff;
    }

    &.active,
    &:hover {
        border-radius: 16px;
        background-color: var(--discord);
    }

    transition: all ease-out 0.4s;

    .mentions {
        text-align: center;
        font-weight: bold;
        width: 12px;
        height: 12px;
        position: absolute;
        bottom: -5px;
        right: -5px;
        font-size: 12px;
        background-color: #e74c3c;
        color: #ffffff;
        padding: 4px;
        border-radius: 50%;
    }
}

.serverbutton-isHome {
    background-color: var(--discord);

    &.active,
    &:hover {
        border-radius: 16px;
        background-color: var(--discord);
    }
}
</style>